> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Discover unlinked care-contexts

> ABDM allows a user to find their health records from any health facility they have visited via the discovery process. 

Discover API returns any unlinked care-context for the ABHA User.



## OpenAPI

````yaml post /abdm/v1/care-contexts/discover
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/v1/care-contexts/discover:
    post:
      description: >-
        ABDM allows a user to find their health records from any health facility
        they have visited via the discovery process. 


        Discover API returns any unlinked care-context for the ABHA User.
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
        - description: OID is used to Identify the user.
          in: query
          name: oid
          schema:
            description: OID is used to Identify the user.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DiscoverRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DiscoverResponse'
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    DiscoverRequest:
      properties:
        hip_id:
          description: Unique identifier for the Health Information Provider (HIP).
          type: string
        ref_id:
          description: >-
            The unique identifier for the patient within the Healthcare
            Information Provider (HIP), such as the patient's registration ID,
            email address, or phone number used at the hospital or lab.
          type: string
      required:
        - hip_id
      type: object
    DiscoverResponse:
      properties:
        patient:
          items:
            $ref: '#/components/schemas/DiscoverPatient'
          type:
            - array
            - 'null'
        txn_id:
          description: Transaction ID required for the next API call.
          type: string
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    DiscoverPatient:
      properties:
        care_contexts:
          items:
            $ref: '#/components/schemas/DiscoverCareContext'
          type:
            - array
            - 'null'
        display:
          type: string
        id:
          type: string
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
    DiscoverCareContext:
      properties:
        display:
          type: string
        id:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.